      PROGRAM main
C...Double precision and integer declarations.
      IMPLICIT DOUBLE PRECISION(A-H, O-Z)

      INTEGER PYK,PYCHGE,PYCOMP
C...EXTERNAL statement links PYDATA on most machines.
      EXTERNAL PYDATA

C...Standard PYTHIA commonblocks.
      INTEGER N,NPAD,K
      REAL*8 P,V
      COMMON/PYJETS/N,NPAD,K(4000,5),P(4000,5),V(4000,5)
      INTEGER MSTU,MSTJ
      REAL*8 PARU,PARJ
      COMMON/PYDAT1/MSTU(200),PARU(200),MSTJ(200),PARJ(200)
      INTEGER MDCY,MDME,KFDP
      REAL*8 BRAT
      COMMON/PYDAT3/MDCY(500,3),MDME(8000,2),BRAT(8000),KFDP(8000,5)
      INTEGER MSEL,MSELPD,MSUB,KFIN
      REAL*8 CKIN
      COMMON/PYSUBS/MSEL,MSELPD,MSUB(500),KFIN(2,-40:40),CKIN(200)
      INTEGER MSTP,MSTI
      REAL*8 PARP,PARI
      COMMON/PYPARS/MSTP(200),PARP(200),MSTI(200),PARI(200)

C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500) 
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP  
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)  
      SAVE /HEPEUP/ 

C...Number of events. 
      NEV = 100                 ! Number of events

C...Pythia initialization.
C   Switch off unnecessary aspects of Pythia.
C      MSTP(61)  = 0             ! Initial state radiation OFF
C      MSTP(71)  = 0             ! Final state radiation OFF
C      MSTP(81)  = 0             ! Multiple interaction OFF
C      MSTP(111) = 0             ! Hadronization OFF

C...Initialization.
      CALL PYINIT('USER',' ',' ',0,0d0)

C...Event loop.
      DO IEV = 1,NEV

         CALL PYEVNT
         if( MSTI(51).ne.0 ) then
            print *,'MSTI(51) = ',MSTI(51)
            print *,'-> EOD signal from PYEVNT'
            goto 9000
         endif

         if( IEV.le.5 ) then
            CALL PYLIST(7)
            CALL PYLIST(1)
         endif

C...Data Store.

C...End of loop over events.
      ENDDO

 9000 continue

C...Cross section table.
      CALL PYSTAT(1)

      END
