      subroutine lhaWritEvAsc(lun)
      implicit none

C  Write the event data in the LHA external event interface common into 
C  a file (LUN = "lun") in an ASCII format.
C  The data can be read back using "lhaReadEvAsc".
C  May 6, 2004, S. Odaka (KEK)
C
C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500) 
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP  
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)  
      SAVE /HEPEUP/ 

      integer lun,i,j

C  Event header
      write(lun,100) NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP

C  Particle data
      do i=1,NUP
         write(lun,101) IDUP(i),ISTUP(i),(MOTHUP(j,i),j=1,2),
     >        (ICOLUP(j,i),j=1,2),(PUP(j,i),j=1,5),VTIMUP(i),SPINUP(i)
      enddo

 100  format(2I6,4E15.7)
 101  format(6I6,7E15.7)

      return
      end
