      subroutine lhaWritEvBin(lun)
      implicit none

C  Write the event data in the LHA external event interface common into 
C  a file (LUN = "lun") as an unformatted binary record.
C  The data can be read back using "lhaReadEvBin".
C  May 6, 2004, S. Odaka (KEK)
C
C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500) 
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP  
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)  
      SAVE /HEPEUP/ 

      integer lun,i,j

      write(lun) NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,
     >     (IDUP(i),ISTUP(i),(MOTHUP(j,i),j=1,2),(ICOLUP(j,i),j=1,2),
     >     (PUP(j,i),j=1,5),VTIMUP(i),SPINUP(i),i=1,NUP)

      return
      end
