      subroutine lhaWritHdBin(lun)
      implicit none

C  Write the "header" (run information) records of the LHA external event 
C  interface into a file (LUN = "lun") as unformatted binary records.
C  The data can be read back using "lhaReadHdBin".
C  May 6, 2004, S. Odaka (KEK)
C
C...User process initialization commonblock.
      INTEGER MAXPUP
      PARAMETER (MAXPUP=100)
      INTEGER IDBMUP,PDFGUP,PDFSUP,IDWTUP,NPRUP,LPRUP
      DOUBLE PRECISION EBMUP,XSECUP,XERRUP,XMAXUP
      COMMON/HEPRUP/IDBMUP(2),EBMUP(2),PDFGUP(2),PDFSUP(2),
     &IDWTUP,NPRUP,XSECUP(MAXPUP),XERRUP(MAXPUP),XMAXUP(MAXPUP),
     &LPRUP(MAXPUP)
      SAVE /HEPRUP/

      integer lun,i

C  Header data
      write(lun) IDBMUP,EBMUP,PDFGUP,PDFSUP,IDWTUP,NPRUP

C  Process data
      do i=1,NPRUP
         write(lun) XSECUP(i),XERRUP(i),XMAXUP(i),LPRUP(i)
      enddo

      return
      end
