      subroutine lhaReadEvBin(lun,*)
      implicit none

C  Read back one event record of the LHA external event interface format 
C  written by "lhaWritEvBin", from an unformatted binary file (LUN = "lun").
C  "Return 1" if the end-of-file is detected.
C  May 6, 2004, S. Odaka (KEK)
C
C...User process event common block.
      INTEGER MAXNUP
      PARAMETER (MAXNUP=500) 
      INTEGER NUP,IDPRUP,IDUP,ISTUP,MOTHUP,ICOLUP
      DOUBLE PRECISION XWGTUP,SCALUP,AQEDUP,AQCDUP,PUP,VTIMUP,SPINUP  
      COMMON/HEPEUP/NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,IDUP(MAXNUP),
     &ISTUP(MAXNUP),MOTHUP(2,MAXNUP),ICOLUP(2,MAXNUP),PUP(5,MAXNUP),
     &VTIMUP(MAXNUP),SPINUP(MAXNUP)  
      SAVE /HEPEUP/ 

      integer lun,i,j

      read(lun,end=9) NUP,IDPRUP,XWGTUP,SCALUP,AQEDUP,AQCDUP,
     >     (IDUP(i),ISTUP(i),(MOTHUP(j,i),j=1,2),(ICOLUP(j,i),j=1,2),
     >     (PUP(j,i),j=1,5),VTIMUP(i),SPINUP(i),i=1,NUP)

      return

 9    continue
      NUP= 0
      return 1
      end
