      subroutine lhaWritHdAsc(lun)
      implicit none

C  Write the "header" (run information) records of the LHA external event 
C  interface into a file (LUN = "lun") in an ASCII format.
C  The data can be read back using "lhaReadHdAsc".
C  May 6, 2004, S. Odaka (KEK)
C
C...User process initialization commonblock.
      INTEGER MAXPUP
      PARAMETER (MAXPUP=100)
      INTEGER IDBMUP,PDFGUP,PDFSUP,IDWTUP,NPRUP,LPRUP
      DOUBLE PRECISION EBMUP,XSECUP,XERRUP,XMAXUP
      COMMON/HEPRUP/IDBMUP(2),EBMUP(2),PDFGUP(2),PDFSUP(2),
     &IDWTUP,NPRUP,XSECUP(MAXPUP),XERRUP(MAXPUP),XMAXUP(MAXPUP),
     &LPRUP(MAXPUP)
      SAVE /HEPRUP/

      integer lun,i

C  Header data
      write(lun,100) IDBMUP,EBMUP,PDFGUP,PDFSUP,IDWTUP,NPRUP

C  Process data
      do i=1,NPRUP
         write(lun,101) XSECUP(i),XERRUP(i),XMAXUP(i),LPRUP(i)
      enddo

 100  format(2I6,2E15.7,6I6)
 101  format(3E15.7,I6)

      return
      end
